DRM_PLANE_HELPER_CHE(9)

NAME
drm_plane_helper_check_update - Check plane update for validity

SYNOPSIS

int drm_plane_helper_check_update(struct drm_plane * plane, struct drm_crtc * crtc, struct drm_framebuffer * fb, struct drm_rect * src, struct drm_rect * dest, const struct drm_rect * clip, int min_scale, int max_scale, bool can_position, bool can_update_disabled, bool * visible);

ARGUMENTS

plane
    plane object to update

crtc
    owning CRTC of owning plane

fb
    framebuffer to flip onto plane

src
    source coordinates in 16.16 fixed point

dest
    integer destination coordinates

clip
    integer clipping coordinates

min_scale
    minimum src:dest scaling factor in 16.16 fixed point

max_scale
    maximum src:dest scaling factor in 16.16 fixed point

can_position
    is it legal to position the plane such that it doesn't cover the entire crtc? This will generally only be false for primary planes.

can_update_disabled
    can the plane be updated while the crtc is disabled?

visible
    output parameter indicating whether plane is still visible after clipping

DESCRIPTION

Checks that a desired plane update is valid. Drivers that provide their own plane handling rather than helper-provided implementations may still wish to call this function to avoid duplication of error checking code.

RETURNS

Zero if update appears valid, error code on failure

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT